<?php
class IndexAction extends Action {
	// 网站首页
    public function index(){
		// 获取游戏
		$yxList = F("yxList");
		$this->assign("yxList",$yxList);
		// 最新新闻
		$zxList = F("zxList");
		$this->assign("zxList",$zxList);
		// 查询友链
		$lkList = F("lkList");
		$this->assign("lkList",$lkList);
		// 查询广告
		$jdtList = F("jdtList");
		$this->assign("jdtList",$jdtList);
		$this->assign("jdtSum",count($jdtList));
		// 显示页面
        $this->display();
    }
	// 新闻公告
    public function xinwen(){
		// 查询新闻
		$xwList = F("xwList");
		$this->assign("xwList",$xwList);
		// 显示页面
        $this->display();
    }
	// 热门活动
    public function huodong(){
		// 查询活动
		$hdList = F("hdList");
		$this->assign("hdList",$hdList);
		// 显示页面
        $this->display();
    }
	// 新闻详情
	public function detail(){
		// 获取编号
		$id = INT("id");
		if(!$id){
			redirect("/");
			exit;
		}
		// 查询新闻
		$Data = M("Xw");
		$xwObj = $Data->where("xw_id = $id")->find();
		if(!$xwObj){
			redirect("/");
			exit;
		}
		$this->assign("xwObj",$xwObj);
		// 显示页面
		$this->assign("type",$_GET["type"]+1);
		$this->display();
	}
}